curl --request GET \
--url 'https://analytics.us.algolia.com/3/abtests/224/timeseries?startDate=2022-09-19&endDate=2023-01-21&metric=search_count' \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new AbtestingV3Client(
new AbtestingV3Config(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
);
// Call the API
var response = await client.GetTimeseriesAsync(42);
// print the response
Console.WriteLine(response);// Initialize the client
final client = AbtestingV3Client(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.getTimeseries(
id: 42,
);
// print the response
print(response);// Initialize the client with your application region, eg. abtestingV3.ALGOLIA_APPLICATION_REGION
client, err := abtestingV3.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", abtestingV3.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetTimeseries(client.NewApiGetTimeseriesRequest(
42))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
AbtestingV3Client client = new AbtestingV3Client("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
Timeseries response = client.getTimeseries(42);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initAbtestingV3({ region: 'us' });
// Call the API
const response = await client.getTimeseries({ id: 42 });
// print the response
console.log(response);// Initialize the client
val client =
AbtestingV3Client(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response = client.getTimeseries(id = 42)
// print the response
println(response)// Initialize the client
$client = AbtestingV3Client::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->getTimeseries(
42,
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use AbtestingV3Client instead, which exposes the exact same methods.
client = AbtestingV3ClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.get_timeseries(
id=42,
)
# print the response
print(response)# Initialize the client
client = Algolia::AbtestingV3Client.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.get_timeseries(42)
# print the response
puts(response)// Initialize the client
val client = AbtestingV3Client(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = Option("ALGOLIA_APPLICATION_REGION")
)
// Call the API
val response = Await.result(
client.getTimeseries(
id = 42
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try AbtestingV3Client(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.getTimeseries(id: 42)
// print the response
print(response){
"abTestID": 224,
"variants": [
{
"dates": [
{
"date": "2025-06-15",
"metrics": [
[
{
"name": "addToCartCount",
"updatedAt": "2025-06-15T15:06:44.400601Z",
"value": 5,
"pValue": 0.01
},
{
"name": "clickThroughRate",
"updatedAt": "2025-05-15T17:52:15.644906Z",
"value": 0.20869847452125934,
"pValue": 0.004
},
{
"name": "revenue",
"dimension": "USD",
"updatedAt": "2025-05-15T17:52:15.644906Z",
"value": 1200.5,
"pValue": 0.04,
"metadata": {
"winsorizedValue": 80.2
}
},
{
"name": "revenue",
"dimension": "EUR",
"updatedAt": "2025-05-15T17:52:15.644906Z",
"value": 999.66,
"pValue": 0.04,
"metadata": {
"winsorizedValue": 888.8
}
}
]
]
}
]
}
]
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}Retrieve timeseries of an A/B test
Retrieves timeseries for an A/B test by its ID.
curl --request GET \
--url 'https://analytics.us.algolia.com/3/abtests/224/timeseries?startDate=2022-09-19&endDate=2023-01-21&metric=search_count' \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new AbtestingV3Client(
new AbtestingV3Config(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
);
// Call the API
var response = await client.GetTimeseriesAsync(42);
// print the response
Console.WriteLine(response);// Initialize the client
final client = AbtestingV3Client(
appId: 'ALGOLIA_APPLICATION_ID',
apiKey: 'ALGOLIA_API_KEY',
region: 'ALGOLIA_APPLICATION_REGION');
// Call the API
final response = await client.getTimeseries(
id: 42,
);
// print the response
print(response);// Initialize the client with your application region, eg. abtestingV3.ALGOLIA_APPLICATION_REGION
client, err := abtestingV3.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", abtestingV3.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetTimeseries(client.NewApiGetTimeseriesRequest(
42))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
AbtestingV3Client client = new AbtestingV3Client("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
Timeseries response = client.getTimeseries(42);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initAbtestingV3({ region: 'us' });
// Call the API
const response = await client.getTimeseries({ id: 42 });
// print the response
console.log(response);// Initialize the client
val client =
AbtestingV3Client(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response = client.getTimeseries(id = 42)
// print the response
println(response)// Initialize the client
$client = AbtestingV3Client::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->getTimeseries(
42,
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use AbtestingV3Client instead, which exposes the exact same methods.
client = AbtestingV3ClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.get_timeseries(
id=42,
)
# print the response
print(response)# Initialize the client
client = Algolia::AbtestingV3Client.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.get_timeseries(42)
# print the response
puts(response)// Initialize the client
val client = AbtestingV3Client(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = Option("ALGOLIA_APPLICATION_REGION")
)
// Call the API
val response = Await.result(
client.getTimeseries(
id = 42
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try AbtestingV3Client(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.getTimeseries(id: 42)
// print the response
print(response){
"abTestID": 224,
"variants": [
{
"dates": [
{
"date": "2025-06-15",
"metrics": [
[
{
"name": "addToCartCount",
"updatedAt": "2025-06-15T15:06:44.400601Z",
"value": 5,
"pValue": 0.01
},
{
"name": "clickThroughRate",
"updatedAt": "2025-05-15T17:52:15.644906Z",
"value": 0.20869847452125934,
"pValue": 0.004
},
{
"name": "revenue",
"dimension": "USD",
"updatedAt": "2025-05-15T17:52:15.644906Z",
"value": 1200.5,
"pValue": 0.04,
"metadata": {
"winsorizedValue": 80.2
}
},
{
"name": "revenue",
"dimension": "EUR",
"updatedAt": "2025-05-15T17:52:15.644906Z",
"value": 999.66,
"pValue": 0.04,
"metadata": {
"winsorizedValue": 888.8
}
}
]
]
}
]
}
]
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}analyticsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Unique A/B test identifier.
224
Query Parameters
End date of the period to analyze, in YYYY-MM-DD format.
"2023-01-21"
List of metrics to retrieve. If not specified, all metrics are returned.
search_count, tracked_search_count, user_count, tracked_user_count, no_result_count, add_to_cart_count, purchase_count, clicked_search_count, converted_search_count, click_through_rate, conversion_rate, add_to_cart_rate, purchase_rate, average_click_position, revenue Start date of the period to analyze, in YYYY-MM-DD format.
"2022-09-19"
Response
OK
Unique A/B test identifier.
224
A/B test timeseries variants.
The first variant is your control index, typically your production index. All of the additional variants are indexes with changed settings that you want to test against the control.
Show child attributes
Show child attributes
Was this page helpful?